bl_info = {
    "name": "Unfold Anim Cycle",
    "description": "Anim tools to develop walk/run cycles along a curve",
    "author": "Samuel Bernou",
    "version": (0, 4, 3),
    "blender": (3, 0, 0),
    "location": "View3D",
    "warning": "WIP",
    "doc_url": "https://gitlab.com/autour-de-minuit/blender/unfold_anim_cycle",
    "category": "Object"}

# from . import other_file

if 'bpy' in locals():
    import importlib as imp
    imp.reload(properties)
    imp.reload(preferences)
    imp.reload(OP_setup)
    imp.reload(OP_setup_curve_path)
    imp.reload(OP_animate_path)
    imp.reload(OP_expand_cycle_step)
    imp.reload(OP_snap_contact)
    imp.reload(OP_world_copy_paste)
    imp.reload(panels)
else:
    from . import properties
    from . import preferences
    from . import OP_setup
    from . import OP_setup_curve_path
    from . import OP_animate_path
    from . import OP_expand_cycle_step
    from . import OP_snap_contact
    from . import OP_world_copy_paste
    from . import panels

import bpy

mods = (
    properties,
    preferences,
    OP_setup,
    OP_setup_curve_path,
    OP_animate_path,
    OP_expand_cycle_step,
    OP_snap_contact,
    OP_world_copy_paste,
    panels,
)

def register():
    if bpy.app.background:
        return
    for module in mods:
        module.register()

def unregister():
    if bpy.app.background:
        return
    for module in reversed(mods):
        module.unregister()

if __name__ == "__main__":
    register()
